User account creation filtered due to spam.

Bug 21273 - gensupport.c:collect_insn_data doesn't consider the constraints of match_scratch
Summary: gensupport.c:collect_insn_data doesn't consider the constraints of match_scratch
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.1.0
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-28 22:58 UTC by Hans-Peter Nilsson
Modified: 2015-12-16 00:40 UTC (History)
2 users (show)

See Also:
Host:
Target: any
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-02-13 03:52:56


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans-Peter Nilsson 2005-04-28 22:58:21 UTC
collect_insn_data is supposed to figure out the max number of constraints, but
doesn't look at the constraints of match_scratch (only match_operand).
Though match_scratch is unlikely to be the only specified constraint in a
pattern (and so unlikely to affect any target), it's nevertheless a bug.
Comment 1 Andrew Pinski 2005-04-28 23:00:38 UTC
Confirmed.
Comment 2 Bernd Schmidt 2015-12-15 14:34:33 UTC
Author: bernds
Date: Tue Dec 15 14:34:01 2015
New Revision: 231654

URL: https://gcc.gnu.org/viewcvs?rev=231654&root=gcc&view=rev
Log:
Fix PR21273

	PR middle-end/21273
	* gensupport.c (collect_insn_data): Look for number of alternatives
	in MATCH_SCRATCH.


Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/gensupport.c
Comment 3 Bernd Schmidt 2015-12-16 00:40:49 UTC
Fixed.